Ticket #33071

過去に読み上げた情報をクリップボードにコピーしたい

Open Date: 2014-02-03 09:40 Last Update: 2014-02-06 17:06

Reporter: nishimoto Owner: (None)
Type: Support Request Status: Closed
Component: (None) MileStone: 2014.1jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

らくらくNVDAのメーリングリストで議論になっている件について。

NVDA が過去に読み上げた情報をクリップボードにコピーしたい、というユースケースがあるようです。

  • あるアプリなどを実行していたり、インストールしたり、あるいは、何らかなエラーが戻ってきた場合、直前の音声結果をクリップボードへコピーすれば、メールに張り付けて、サポートを依頼することができる(ranvda:00216)

アプローチ:

  • 改めて画面のテキストを取り出す:レビューカーソルなどで情報をコピーペーストする、VirtualRevision アドオンを使う
  • 音声出力を別の方法でテキストとして取り出す:Clip Copy アドオンを使う、スピーチビューワーを使う

後者に関連して、スピーチビューワーのエディットコントロールにフォーカスを移動してコピーペーストを実行することが難しい、という指摘もあります。

Attachment File List

No attachments

Ticket History (3/7 Histories)

2014-02-03 09:40 Updated by: nishimoto
  • New Ticket "過去に読み上げた情報をクリップボードにコピーしたい" created
2014-02-03 22:49 Updated by: nishimoto
  • Resolution Update from None to Accepted
Comment

下記のブランチで行った作業は、スピーチビューワーと点字ビューワーを Alt+Tab で切り替え可能(フォーカス可能)にする変更です。

キーボード操作で Ctrl+A, Ctrl+C してクリップボードにコピーする、という操作ができることを確認しています。

また、Alt+Space で最大化などのシステムメニューが開くようにしました。

スピーチビューワーの文字の大きさをすこし大きくする修正もしました。

最小化ボタンを有効にすると stay on top 属性(常に一番上にウィンドウを表示)がうまく動かないので、閉じるボタンと最大化ボタンのみ有効にしています。

いままで気になっていたスピーチビューワーと点字ビューワーの外見や挙動の違いも、ついでになるべく統一しました。

もうすこし検討してみます。

[ti33071 2b228b2] work around speech/braille viewers.
 2 files changed, 7 insertions(+), 6 deletions(-)

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
 * [new branch]      ti33071 -> ti33071
2014-02-04 08:33 Updated by: nishimoto
Comment

スピーチビューワーと点字ビューワーのウィンドウ透明度を80%にする変更を実験中です。

stay on top ウィンドウの下がすこし透けて見えるので、視力のある人には便利になりそうですが、好みが分かれるかも知れません。

それとは別に、現状では NVDA メニューのスピーチビューワーというメニュー項目そのものがトグルになっているのですが、ウィンドウを Alt+F4 などで閉じたときにチェック状態と矛盾する、という不具合が起きているので、要対応です。

2014-02-04 20:14 Updated by: nishimoto
Comment

本作業に関するテスト版を作りました。

NVDA 日本語テスト版 jpbeta140204

https://dl.dropboxusercontent.com/u/62564469/nvda_jpbeta140204.exe

Windows 8.1 ではスピーチビューワーのウィンドウを選択して Windows+左矢印(または右矢印)を押すと、デスクトップの半分の大きさで表示するようにワンタッチで操作できます。

Windows 8.1 以外の環境ではまだテストしていません。

ウィンドウ透明度(不透明度)は90%に変更して、メニュー項目のトグル状態を window close と連携するように修正しました。

2014-02-05 21:54 Updated by: nishimoto
  • Ticket Close date is changed to 2014-02-05 21:54
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
Comment

本変更 (ti33071) を jpbranch にマージしました。

2014-02-06 11:10 Updated by: nishimoto
Comment

「点字あり」で使ったときの不具合 #33099 を回避するためにリッチエディットを使うのをやめました。

ログビューワーもリッチエディットを使っていますが、これは今回は修正しておらず、今後 #33099 で扱います。

[jpbranch 4d6746b] work around issue ti33099 regarding speech/braille viewers
 2 files changed, 2 insertions(+), 2 deletions(-)
2014-02-06 17:06 Updated by: nishimoto
Comment

テスト版を更新しました。

NVDA 日本語テスト版 jpbeta140206

https://dl.dropboxusercontent.com/u/62564469/nvda_jpbeta140206.exe

Edit

Please login to add comment to this ticket » Login